# $Revision: 1.28 $, $Date: 2010/04/12 19:31:01 $
# TODO: python binding
Summary:	5250 Telnet protocol and Terminal
Summary(pl.UTF-8):	Obsługa protokołu i terminal Telnet 5250
Name:		tn5250
Version:	0.17.3
Release:	3
License:	GPL
Group:		Applications/Networking
Source0:	http://dl.sourceforge.net/tn5250/%{name}-%{version}.tar.gz
# Source0-md5:	f8c454334c63ed7b100e0b12160d93ea
Patch0:		%{name}-ncurses.patch
Patch1:		%{name}-no_libnsl.patch
URL:		http://tn5250.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
tn5250 is an implementation of the 5250 Telnet protocol. It provide
5250 library and 5250 terminal emulation.

%description -l pl.UTF-8
tn5250 to implementacja protokołu Telnet 5250. Zawiera bibliotekę 5250
i emulator terminala 5250.

%package devel
Summary:	Development tools for 5250 protocol
Summary(pl.UTF-8):	Pakiet dla programisty protokołu 5250
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	ncurses-devel
Requires:	openssl-devel >= 0.9.7d

%description devel
Header files to use lib5250.

%description devel -l pl.UTF-8
Pliki nagłówkowe do korzystania z lib5250.

%package static
Summary:	Static libraries for 5250 protocol
Summary(pl.UTF-8):	Statyczne biblioteki do protokołu 5250
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libraries to use lib5250.

%description static -l pl.UTF-8
Statyczne biblioteki lib5250.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
CFLAGS="%{rpmcflags} -I/usr/include/ncurses"
%configure
%{__make}

cd linux
tic 5250.terminfo -o .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D linux/5/5250 $RPM_BUILD_ROOT%{_datadir}/terminfo/5/5250
install -D linux/x/xterm-5250 $RPM_BUILD_ROOT%{_datadir}/terminfo/x/xterm-5250

mv -f linux/README README.linux

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README* TODO
%attr(755,root,root) %{_bindir}/*5250
%attr(755,root,root) %{_bindir}/lp5250d
%attr(755,root,root) %{_bindir}/scs2*
%attr(755,root,root) %{_libdir}/lib5250.so.*.*.*
%{_datadir}/%{name}
%{_datadir}/terminfo/5/*
%{_datadir}/terminfo/x/*
%{_mandir}/man[15]/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/tn5250-config
%attr(755,root,root) %{_libdir}/lib5250.so
%{_libdir}/lib5250.la
%{_includedir}/tn5250.h
%{_includedir}/tn5250
%{_aclocaldir}/tn5250.m4
%{_pkgconfigdir}/tn5250.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib5250.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tn5250.spec,v $
Revision 1.28  2010/04/12 19:31:01  arekm
- release 3

Revision 1.27  2007/09/05 13:54:09  baggins
- rel 2

Revision 1.26  2007/04/02 09:45:59  piotrek
- 0.17.3

Revision 1.25  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.24  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.23  2005/12/13 18:01:47  glen
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

Revision 1.22  2005/04/24 20:37:41  qboosh
- updated to 0.17.2, updated no_libnsl patch
- -devel deps, more verbose file lists

Revision 1.21  2004/03/19 23:46:39  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.20  2003/09/30 20:18:35  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.19  2003/05/28 13:02:17  malekith
- massive attack: source-md5

Revision 1.18  2003/05/25 06:27:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/04/08 14:07:28  qboosh
- use http for sources from sourceforge

Revision 1.16  2003/02/13 14:06:56  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.15  2002/11/25 14:18:45  ankry
- massive attack: no need for 755 for *.la

Revision 1.14  2002/10/11 14:35:20  kloczek
- INSTALL can be removed from %doc (informations from this file are implemented in
  package spec file :) and added "rm -f missing" on top %build.

Revision 1.13  2002/10/11 13:22:31  qboosh
- added no_libnsl patch, BR: openssl-devel; STBR

Revision 1.12  2002/10/11 13:07:33  qboosh
- updated to 0.16.5
- removed tic call from post (already done at build time)
- STBR

Revision 1.11  2002/10/09 13:14:49  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.10  2002/07/23 19:09:20  marcus
- removed old commented commands in %%install
- rel.2

Revision 1.9  2002/07/03 12:12:54  qboosh
- updated to 0.16.4 (needs testing), removed obsolete updates patch
- install precompiled terminfo files

Revision 1.8  2002/06/24 12:39:10  qboosh
- updated URLs, new %%doc

Revision 1.7  2002/05/21 23:14:50  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.6  2002/03/24 23:28:25  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.5  2002/02/23 04:49:04  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:29:48  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:15:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/12/19 11:11:21  qboosh
- fixed typos, subpkgs requirments, BR: libtool, added pl translations

Revision 1.1  2001/10/16 16:34:25  baggins
- initial revision
